Skip to main content
GET
/
projects
/
{project_id}
/
artifacts
List project artifacts
curl --request GET \
  --url https://api.example.com/projects/{project_id}/artifacts \
  --header 'Authorization: Bearer <token>'
{
  "selected_agent_name": "<string>",
  "agents": [
    {
      "agent_name": "<string>",
      "latest_version": 123,
      "updated_at": "<string>"
    }
  ],
  "learn_agent_artifact": {
    "version": 123,
    "run_id": "<string>",
    "agent_name": "<string>",
    "knowledge_md": "<string>",
    "mermaid": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  },
  "uploaded_artifacts": [
    {
      "id": "<string>",
      "project_id": "<string>",
      "agent_name": "<string>",
      "filename": "<string>",
      "content_type": "<string>",
      "size_bytes": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

Project ID

Query Parameters

agent_name
string

Optional agent name used to scope artifacts. Omit to select the most recently updated artifact agent.

Response

Project artifacts

selected_agent_name
string | null
required
agents
object[]
required
learn_agent_artifact
object
required
uploaded_artifacts
object[]
required